Summary: PySol - a solitaire game collection
Name: pysol
Version: 4.82
Release: 5.FC5
Group: Amusements/Games
License: GPL
Source: http://www.oberhumer.com/opensource/pysol/download/pysol-%{version}.tar.bz2
Source1: http://www.oberhumer.com/opensource/pysol/download/pysol-%{version}-src.tar.bz2
Source2: http://www.pausechoco.com/fedora/RPM/pysol-compile.sh
Patch: pysol-selecttile.patch
Patch1: pysol-main.patch
URL: http://www.pysol.org/
Requires: python >= 1.5.2, tcl >= 8.0.5, tk >= 8.0.5
Conflicts: pysol-sound-server < 2.10, pysol-cardsets < 3.40-3
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
PySol is an exciting collection of Solitaire card games. Its features
include support for lots of distinct games, very nice look and feel,
multiple cardsets and table tiles, sound and background music, unlimited
undo & redo, load & save games, player statistics and log files, hint
system, demo games, support for user written plug-ins, integrated HTML
help browser and lots of documentation.

%package devel
Summary: Python sources for Pysol
Group: Amusements/Games
AutoReqProv: 0
Requires: pysol = %{version}-%{release}
Requires: python >= 1.5.2, tcl >= 8.0.5, tk >= 8.0.5
Conflicts: pysol-sound-server < 2.10, pysol-cardsets < 3.40-3

%description devel
Developers source code of Pysol. This package is only usefull if you
intend on creating your own Pysol modules.

%prep
%setup -q -n %{name}-%{version} -b 1

%patch0 -p1
%patch1 -p1

%build
rm -f data/*.pyc
cp -p %{SOURCE2} src

(
# get Python version
PYVER=`python -c '
import sys
if hasattr(sys, "version_info"):
  print "%d%d" % sys.version_info[:2]
else:
  print "%s%s" % (sys.version[0], sys.version[2])
'`
# cd src directory and byte-compile sources
cd src
sh pysol-compile.sh pysol_$PYVER.py
mv pysol_$PYVER.pyc ../data
rm -f pysol_$PYVER.py
)

echo	[KDE Desktop Entry]				>  %{name}.kdelnk
echo	Name=Python Solitaire				>> %{name}.kdelnk
echo	Exec=%{name}					>> %{name}.kdelnk
echo	Icon=%{_datadir}/%{name}/pysol.xpm		>> %{name}.kdelnk
echo	Type=Application				>> %{name}.kdelnk
echo	DocPath=%{_datadir}/%{name}/html/index.html	>> %{name}.kdelnk
echo	Comment=Several nice card games			>> %{name}.kdelnk
echo	[Desktop Entry]					>  %{name}.desktop
echo	Name=Python Solitaire				>> %{name}.desktop
echo	Comment=Card-based Solitaire suite.		>> %{name}.desktop
echo	Exec=%{name}					>> %{name}.desktop
echo	Icon=%{_datadir}/%{name}/pysol.xpm		>> %{name}.desktop
echo	Terminal=0					>> %{name}.desktop
echo	Type=Application				>> %{name}.desktop
echo	Python developers source for Pysol. The files \
	are located in %{_datadir}/%{name}/src. \
	This package is only usefull if you intend on \
	creating your own Pysol modules. \
	| fmt						>  README.source

%install
[ -n %{buildroot} -a %{buildroot} != / ] && rm -rf %{buildroot}
make prefix=%{buildroot}%{_prefix} \
	pkgdatadir=%{_datadir}/%{name} \
	install-bin
make prefix=%{buildroot}%{_datadir} \
	pkgdatadir=%{buildroot}%{_datadir}/%{name} \
	install-data install-man
install -D -m 644 %{name}.kdelnk \
	%{buildroot}%{_datadir}/applnk/Games/%{name}.kdelnk
install -D -m 644 %{name}.desktop \
	%{buildroot}%{_datadir}/gnome/apps/Games/%{name}.desktop
cp -a src %{buildroot}%{_datadir}/%{name}

%files
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README
%{_bindir}/*
%{_mandir}/*/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/[a-r]*
%{_datadir}/%{name}/sound
%{_datadir}/%{name}/[t-z]*
%{_datadir}/applnk/*/*
%{_datadir}/gnome/*/*/*

%files devel
%doc README.source
%{_datadir}/%{name}/src

%clean
[ -n %{buildroot} -a %{buildroot} != / ] && rm -rf %{buildroot}

%changelog
* Thu Apr 27 2006 Masaki Suzuki <masaki at btree.org> - 4.82-5.FC5
- rebuild for Fedora Core 5

* Thu Sep 22 2005 Masaki Suzuki <masaki at btree.org> - 4.82-5.FC4
- byte-compile sources with pysol-compile.sh (Thanks to Pause Choco)

* Fri Sep 16 2005 Masaki Suzuki <masaki at btree.org> - 4.82-4.FC4
- fix crash on tile color select (Thanks to Eugene Vlasov)
- fix #4688 bug (Thanks to Eugene Vlasov <eugvv@altlinux.ru>)

* Wed Sep 14 2005 Masaki Suzuki <masaki at btree.org> - 4.82-3.FC4
- byte-compile game sources
- fix URL
- rebuild for Fedora Core 4 (rebuild with python 2.4)

* Mon Jun  7 2004 Masaki Suzuki <masaki@btree.org> 4.82-2
- rebuild for Fedora Core 2

* Thu Nov 20 2003 Masaki Suzuki <masaki@btree.org> 4.82-1
- update to 4.82
- build for Fedora Core 1

* Tue Nov 26 2002 Masaki Suzuki <masaki@btree.org> 4.81-2
- rebuild for RHL 8.0

* Thu Sep 26 2002 Masaki Suzuki <masaki@btree.org> 4.81-1
- update to 4.81

* Sun Jan 13 2002 Masaki Suzuki <masaki@btree.org>
- 4.80
- build package for RHL 7.2
- initial RPM
